Vercel
v0 Platform APIAPI ReferenceMCP Servers

Get MCP Server

Retrieves the details of a specific MCP server using its ID.

GET/v1/mcp-servers/{mcpServerId}

Usage

TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.mcpServers.getById({  mcpServerId: 'mcp_123',})console.log(result)

API Signature

Request

Path Parameters

mcpServerId: string

The unique identifier of the MCP server to retrieve.

Response

id: string

A unique identifier for the MCP server.

object: 'mcp_server'

Fixed value identifying this object as an MCP server.

name: string

The name of the MCP server.

url: string

The URL of the MCP server endpoint.

description?: string

The description of the MCP server.

enabled: boolean

Whether the MCP server is currently enabled.

auth: object

The authentication configuration. Only the type is returned; sensitive values are redacted.

type: 'none' | 'bearer' | 'custom-headers' | 'oauth'

The authentication method used by the server.

scope: 'user' | 'team'

Whether the server is scoped to the user or a team.

createdAt: string

The ISO 8601 timestamp when the server was created.

updatedAt?: string

The ISO 8601 timestamp when the server was last updated.

On this page